Bug 511093 - LVM Does not Properly Activate VGs on multipath Devices
LVM Does not Properly Activate VGs on multipath Devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:55 EDT by Jonathan Steffan
Modified: 2011-10-21 12:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-21 12:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2009-07-13 11:55:36 EDT
Description of problem:
After adding a filter to ensure that LVM does not access multipath member devices, the mpath device VGs and LVs are not properly activated on boot.

Version-Release number of selected component (if applicable):
lvm2-2.02.40-6.el5

How reproducible:
Always.

Steps to Reproduce:
1. I configure multipath devices.
2. Add filter to only look at the mpath devices:
/etc/lvm/lvm.conf:
filter = [ "a|/dev/mpath.*|", "r/.*/" ]
preferred_names = [ "^/dev/mpath/", "^/dev/mapper/mpath" ]

3. Setup LVM on mpath devices. Activate and mount. Configure fstab.
4. Reboot.
  
Actual results:
VGs/LVs are not active on reboot. Manual intervention post-boot is required.

Expected results:
VGs/LVs are activated, and able to be mounted via fstab.

Additional info:
Everything works if manually activated and mounted. With the filter removed, everything is properly activated, but multipath failover does not work correctly. LVM seems that is uses the non-mpath devices and then when paths are failed mounts start rejecting I/O. With the filter, everything works correctly with regards to multipathing but manual intervention post-boot is required to mount everything.
Comment 1 Jonathan Steffan 2009-08-07 00:00:27 EDT
This works as expected with 5.3.
Comment 2 Jonathan Steffan 2009-08-07 00:02:09 EDT
Sorry, this works as expected with a 5.4 beta kernel: http://people.redhat.com/dzickus/el5/
Comment 4 Milan Broz 2011-10-21 12:27:20 EDT
Seems this bug is fixed long time ago.

Note You need to log in before you can comment on or make changes to this bug.